Package org.eclipse.m2m.atl.profiler.ui.executionviewer.view

## Class CallsViewLabelProvider

- java.lang.Object
- - org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
  - - org.eclipse.m2m.atl.profiler.ui.executionviewer.view.CallsViewLabelProvider

All Implemented Interfaces:
  `org.eclipse.emf.edit.provider.INotifyChangedListener`, `org.eclipse.jface.viewers.IBaseLabelProvider`, `org.eclipse.jface.viewers.ILabelProvider`, `org.eclipse.jface.viewers.ITableLabelProvider`

    public class CallsViewLabelProvider
    extends org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

A label provider for the calls view.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.ColorProvider, org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.ConvertingStyler, org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.FontAndColorProvider, org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.FontProvider, org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.StyledLabelProvider`

### Field Summary

### Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`adapterFactory, defaultBackground, defaultFont, defaultForeground, isFireLabelUpdateNotifications, labelProviderListeners`

### Constructor Summary

Constructors
`CallsViewLabelProvider​(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` Creates a label provider using the given factory.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.swt.graphics.Image` `getImage​(java.lang.Object object)`
`java.lang.String` `getText​(java.lang.Object object)`

### Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`addListener, createStyler, dispose, fireLabelProviderChanged, getAdapterFactory, getBackground, getBackground, getColorFromObject, getColumnImage, getColumnText, getDefaultBackground, getDefaultFont, getDefaultForeground, getDefaultImage, getFont, getFont, getFontFromObject, getForeground, getForeground, getImageFromObject, getStyledStringFromObject, getStyledText, isFireLabelUpdateNotifications, isLabelProperty, notifyChanged, removeListener, setAdapterFactory, setDefaultBackground, setDefaultFont, setDefaultForeground, setFireLabelUpdateNotifications, toJFaceStyledString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CallsViewLabelProvider

    public CallsViewLabelProvider​(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

Creates a label provider using the given factory.

Parameters:
  `adapterFactory` - the adapter factory

### Method Detail

#### getText

    public java.lang.String getText​(java.lang.Object object)

Specified by:
  `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getText` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider`
See Also:
  `AdapterFactoryLabelProvider.getText(java.lang.Object)`

#### getImage

    public org.eclipse.swt.graphics.Image getImage​(java.lang.Object object)

Specified by:
  `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getImage` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider`
See Also:
  `AdapterFactoryLabelProvider.getImage(java.lang.Object)`